package soln;

import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import java.util.Scanner;

import javax.net.ssl.HttpsURLConnection;

public class CopyOfLabtest3_Sec01_Part1 {

	/**
	 * @param args
	 * @throws IOException
	 */
	public static void main(String[] args) throws IOException {

		/**
		 * This labtest is based on Lab7.3. This labtest assumes you have
		 * completed this lab and builds upon it.
		 * 
		 * This machine is running in labtest mode, which means that this
		 * machine cannot connect to the external web.
		 * 
		 * Notice that if you type http://localhost in your browser window, you
		 * see content because your browser is performing a http request to a
		 * local resource. The http request is not being made to a server on the
		 * web, but rather to a web server that is running locally (in fact, on
		 * the same computer as this app). The web server that is running
		 * locally is serving up content through the http scheme.
		 * 
		 * You can see the same content by looking at...
		 * 
		 * resolve the URL specification: //
		 * http://localhost/course_archive/2010-11/W/1720/labtest/LT3/test.html
		 */

		// This URL specifies where an identified resource is available and the
		// mechanism for retrieving it.

		// Use the services of the class URL to represent this establish a
		// connection to this
		// URL.

		// a web browser will usually dereference the URL http://example.org:80
		// by performing an HTTP request to the host at example.org, using port
		// number 80

		/**
		 * The Class URL represents a Uniform Resource Locator, a pointer to a
		 * "resource" on the World Wide Web. The pointer includes the scheme or
		 * manner with which the resource should be obtained. A common scheme is
		 * http. A web browser will usually dereference the URL
		 * http://example.org by performing an HTTP request (such as GET) to the
		 * host at example.org
		 */

		URL url = new URL(
				"http://"
						+ "localhost/course_archive/2010-11/W/1720/labtest/LT3/test.html");

		/**
		 * The class URL provides the method openConnection(), which returns a
		 * URLConnection object that represents a connection to the remote
		 * object referred to by the URL. Since our URL makes use of the http
		 * scheme, this method actually returns an HttpURLConnection object.
		 */

		/**
		 * The class URL provides the method openConnection(), which opens a
		 * connection to this URL and returns an InputStream for reading from
		 * that connection. Since our URL makes use of the http scheme, this
		 * means that in opening the connection, this method will issue a GET
		 * request to the URL class
		 */

		HttpURLConnection connection = (HttpURLConnection) url.openConnection();
		System.out.println(connection.getRequestMethod());
		System.out.println(connection.getRequestProperties()); // there are
																// none? such as
																// the host, the
																// user agent,
																// accept langs
																// & charsets
		System.out.println(connection.getHeaderFields());
		System.out.println(connection.getResponseCode());
		System.out.println(connection.getResponseMessage());

		URLConnection connection2 = url.openConnection();
		System.out.println(connection2.getContentEncoding());

		InputStream consoleInputStream = System.in;

		InputStream inputStream = url.openStream();
		// System.out.println(url.getFile());

		Scanner input = new Scanner(inputStream);
		while (input.hasNext()) {
			System.out.println(input.nextLine());
		}

		URL url2 = new URL("http://"
				+ "www.cse.yorku.ca/~roumani/jba/ase/se.cgi?hrss=+.ZZ");
		System.out.println(((HttpURLConnection) url2.openConnection())
				.getResponseMessage());

		System.out.println("**");
		
		/**
		 * The class URL provides the method openConnection(), which returns a
		 * URLConnection object that represents a connection to the remote
		 * object referred to by the URL. Since our URL makes use of the http
		 * scheme, this method actually returns an HttpURLConnection object. =>
		 * save this content for Ch 9 coverage.
		 */


	}

}
